﻿@model IEnumerable<FunXgame.Models.Categoria>


<table class="table">
    <tr>
        <th>
            <label>Código</label>
        </th>
        <th>
            <label>Nombre</label>
        </th>

        <th>
            <label>Estado</label>
        </th>
        <th>
            <label>Marcas Asociadas</label>
        </th>

        
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Codigo_categoria)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Nombre_categoria)
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Estado.Nombre_estado)
            </td>

            <td>
                @foreach (var item2 in ViewBag.Marca_Categoria)
                {
                    if (item2.Id_categoria == item.Id_categoria && item2.Id_estado==1)
                    {
                        @*<label>@item2.Marca.Nombre_marca</label>*@
                        @*<img class="mb-2" src="@Url.Content(item2.Marca.Imagen.Ruta) "style="height:50px; width:200px" />*@
                        <label>@item2.Marca.Nombre_marca</label>
                    }
                }
            </td>
            <td>
                @{
                    string texto = "";
                    int estado = item.Id_estado;
                    if (estado == 1)
                    {
                        texto = "Desactivar";
                    }
                    else
                    {
                        texto = "Activar";
                    }
                }
                <a class="btn btn-success" href="~/Categorias/EditarCategoria/@item.Id_categoria" id="" style="width:100px">Editar</a>
                <a class="btn btn-secondary" href="~/Categorias/EstadoCategoria/@item.Id_categoria" id="" style="width:100px">@texto</a>

            </td>

            
        </tr>
    }

</table>
